<inp2:adm_SetPopupSize width="790" height="520"/>

<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" prefix="pt" section="in-commerce:payment_types" title_preset="group_list" tab_preset="Default"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  	<td>
  		<script type="text/javascript">
				a_toolbar = new ToolBar();
				a_toolbar.AddButton( new ToolBarButton('select', '<inp2:m_phrase label="la_ToolTip_Save" escape="1"/>', function() {
							document.getElementById('<inp2:pt_InputName field="PortalGroups"/>').value = select_to_string('selected_groups');
							submit_event('pt','<inp2:pt_SaveEvent/>');
						}
					) );
				a_toolbar.AddButton( new ToolBarButton('cancel', '<inp2:m_phrase label="la_ToolTip_Cancel" escape="1"/>', function() {
							submit_event('pt','OnCancelEdit');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarSeparator('sep1') );

				a_toolbar.AddButton( new ToolBarButton('prev', '<inp2:m_phrase label="la_ToolTip_Prev" escape="1"/>', function() {
							go_to_id('pt', '<inp2:pt_PrevId/>');
						}
				 ) );
				a_toolbar.AddButton( new ToolBarButton('next', '<inp2:m_phrase label="la_ToolTip_Next" escape="1"/>', function() {
							go_to_id('pt', '<inp2:pt_NextId/>');
						}
				 ) );

				a_toolbar.Render();

				<inp2:m_if check="pt_IsSingle" >
					a_toolbar.HideButton('prev');
					a_toolbar.HideButton('next');
					a_toolbar.HideButton('sep1');
				<inp2:m_else/>
					<inp2:m_if check="pt_IsLast" >
						a_toolbar.DisableButton('next');
					</inp2:m_if>
					<inp2:m_if check="pt_IsFirst" >
						a_toolbar.DisableButton('prev');
					</inp2:m_if>
				</inp2:m_if>

				function go_to_tab(prefix_special, tab)
				{
					set_hidden_field(prefix_special+'_GoTab', tab);
					document.getElementById('<inp2:pt_InputName field="PortalGroups"/>').value = select_to_string('selected_groups');
					submit_event(prefix_special,'OnPreSaveAndGoToTab',null);
				}

				function go_to_id(prefix_special, id)
				{
					set_hidden_field(prefix_special+'_GoId', id);
					document.getElementById('<inp2:pt_InputName field="PortalGroups"/>').value = select_to_string('selected_groups');
				 	submit_event(prefix_special,'OnPreSaveAndGo')
				}
			</script>
		</td>
	</tr>
</tbody>
</table>

<inp2:pt_SaveWarning name="grid_save_warning"/>
<inp2:pt_ErrorWarning name="form_error_warning"/>

<inp2:m_RenderElement name="inp_edit_hidden" prefix="pt" field="PortalGroups" title="!la_fld_UserGroups!" size="40"/>

<div id="scroll_container">
	<table class="edit-form">
		<inp2:m_RenderElement name="inp_label" prefix="pt" field="PaymentTypeId" title="!la_fld_Id!"/>
		<tr class="<inp2:m_odd_even odd='edit-form-odd' even='edit-form-even'/>">
			<inp2:m_inc param="tab_index" by="1"/>
			<td class="label-cell">
				<inp2:m_phrase label="la_fld_UserGroups"/>:
			</td>
			<td class="control-mid">&nbsp;</td>
			<td class="control-cell">
				<table style="width: 300px">
					<tr>
						<td>
							<inp2:m_DefineElement name="group_option">
								<option value="<inp2:m_param name="GroupId"/>"><inp2:m_param name="Name"/></option>
							</inp2:m_DefineElement>

							<inp2:m_phrase label="la_fld_SelectedGroups"/>

							<select id="selected_groups" name="selected_groups[]" multiple="multiple" size="15" style="width: 200px">
								<inp2:pt_ListGroups mode="selected" render_as="group_option"/>
							</select>
						</td>
						<td align="center">
							<input type="button" value="&nbsp;&laquo;&laquo;&nbsp;" onclick="move_selected('available_groups', 'selected_groups'); select_sort('selected_groups')" class="button"><br>
							<img src="img/s.gif" width="1" height="4" alt=""><br>
							<input type="button" value="&nbsp;&raquo;&raquo;&nbsp;" onclick="move_selected('selected_groups', 'available_groups'); select_sort('available_groups');" class="button">
						</td>
						<td>
							<inp2:m_phrase label="la_fld_AvailableGroups"/>

							<select id="available_groups" name="available_groups[]" multiple="multiple" size="15" style="width: 200px">
								<inp2:pt_ListGroups render_as="group_option"/>
							</select>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<inp2:m_RenderElement name="inp_edit_filler"/>
	</table>
</div>

<inp2:m_include t="incs/footer"/>